import { Howl } from 'howler'
/* eslint-disable */
Howl.prototype.changeSrc = function (currentIndex, newSrc) {
    var self = this;

    if (currentIndex > -1) {
        self.stop(currentIndex);
    }

    self._src = newSrc;

    let sounds = self._sounds;

    // self._sprite = {};
    self._duration = 0;

    if (sounds.length) {
        sounds[0]._node.src = newSrc;
    }

    self.load();
}
/* eslint-enable */
